#include <iostream>

using namespace std;
int br(int pc)
{
   if(pc==0)
    {return 0;}
   if(pc==9)
      {return 3;}
   if(pc==8)
    {return 3;}
   if(pc==7)
    {return 2;}
   if(pc==6)
    {return 2;}
   if(pc==5)
    {return 1;}
   if(pc==4)
   {return 2;}
   if(pc==3)
    {return 2;}
   if(pc==2)
    {return 1;}
   if(pc==1)
    {return 1;}
}
int brnovcanica(long long v,int brcif, int brpara)
{

  for(int i=0;i<brcif;i++)
  {
     int pc=v%10 ;
   int g=br(pc);
   brpara+=g;
    v/=10;

  }
  return brpara;


}

int main()
{
     long long v;
    cin>>v;
    long long g=v;
    int brcif=0;
    while(g>0)
    {
        g/=10;
        brcif++;
    }
   
   int br= brnovcanica(v,brcif,0);
   cout<<br<<endl;

}